WordPress使用经验(一)安全建议
2018-09-12

目前随着网络形势的复杂,在网民注重安全的同时,站长也在为个人网站的安全性担忧。M86安全实验室警告称已经发现数百个基于WordPress的网站和博客被黑,主要影响3.2.1版本,建议广大用户尽快将WordPress升级到最新版。在当今复杂安全形势下,如何确保自己WordPress站点的安全呢?偶米工作室在此提供几点建议。

一、设置一个安全的密码

虽然这已经是老生常谈了,但是还是建议给你的 WordPress 设置一个安全的密码,最好给WordPress设置一个单独的密码,即这个密码在别的地方还没有用过。

二、隐藏你的目录

假设你的博客地址是www.abc.com ,默认情况下,如果访问这个网址www.abc.com/wp-content/plugins,将会以列表的形式把plugins目录下的文件列出来,这样别人就轻而易举的知道你安装了哪些插件,黑客可能会利用这些插件的漏洞来攻击你的网站,那可不好!安全做法是在这个目录下放入一个空白的index.html。同样也可以在其他你不想让别人看到的目录中放置index.html,例如wp-content目录。

三、使用Login Lockdown插件

如果别人不知道你的密码,他又想非法登录你的博客后台,那他一般会选择暴力破解你的密码,即一个一个地试,直到破译你的密码为止。使用Login Lockdown插件在一定程度上阻止别人测试你的密码,如果探测到一个 IP 段在一时间段内登录失败的次数超过了某一数目,就会自动锁定其登录功能,并禁止此 IP 段的使用者登入系统。这个登录失败的次数和限制登录的时间间隔等,都可以在你的后台设置。

四、及时备份你的博客

使用WordPress Database Backup插件可以很方便的备份你的博客数据库,可以选择两种方式备份:一、备份到你的网站空间的某个目录下;二、把备份文件定时自动发送到你的邮箱。我是把备份文件发送到我的邮箱,这样可以防止网站服务器挂了,备份也没了。

切记,切勿把备份文件放到服务器!

五、去除header.php中的版本信息

普通模板会在header.php中加入如下信息来显示使用中的WP版本,这样不良企图的人会根据版本来进行攻击。把下面的代码删除:

<meta name="generator" content="WordPress <?php bloginfo(‘version’); ?>" />
六、保护 wp-config.php 文件

将wp-config.php的权限设置为只读,这样一般别人就看不到了。另外你可以在.htaccess 文件中加入以下语句来防止其它人浏览到 wp-config.php 文件:

# protect wpconfig.php
<files wp-config.php>
Order deny,allow
deny from all
</files>
七、更改登录用户名,隐藏你的登录名

安装好WordPress 后,就应该立刻使用自己的用户名和密码创建另一个有管理员权限的用户,并将 "admin" 用户删除。WordPress 中有一个很好的方法,就是可以隐藏你的登录名。在"用户"设置中,你可以把你的"对外显示为"更改为你的昵称,这样在你发布文章的时候,给访客回复的时候,显示的就是你的昵称,而不是你的后台登录名。

相关知识